package com.neusoft.smart.pos.trade.persistent.mapper;

import com.neusoft.smart.pos.trade.persistent.domain.BillSettlementCycle;
import com.neusoft.smart.pos.trade.persistent.domain.BillSettlementCycleExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface BillSettlementCycleMapper {
    int countByExample(BillSettlementCycleExample example);

    int deleteByExample(BillSettlementCycleExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(BillSettlementCycle record);

    int insertSelective(BillSettlementCycle record);

    List<BillSettlementCycle> selectByExample(BillSettlementCycleExample example);

    BillSettlementCycle selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") BillSettlementCycle record, @Param("example") BillSettlementCycleExample example);

    int updateByExample(@Param("record") BillSettlementCycle record, @Param("example") BillSettlementCycleExample example);

    int updateByPrimaryKeySelective(BillSettlementCycle record);

    int updateByPrimaryKey(BillSettlementCycle record);

    void batchInsert(@Param("items") List<BillSettlementCycle> items);
}